Why can’t I access the secure pages of TheTollRoads.com? I get a message saying TLS error.

For security reasons, after August 22, 2016, secure portions of TheTollRoads.com will no longer support outdated versions of internet browsers. In order to access secure areas* of our website, please update your browser:

  • Internet Explorer**
  • Chrome
  • Firefox

*Secure areas of TheTollRoads.com include the following pages: One-Time-Toll online payment; account log in, sign up and management; violation resolution; and contact us.

**If your version of Windows doesn’t support the latest version of Internet Explorer, please switch your browser to Chrome or Firefox.

Topic: 
Most Popular FAQs
Back to Top